From 6bdc1e830eb1bb48209a22510425f9b0d88592ae Mon Sep 17 00:00:00 2001
From: Niko Tyni <ntyni@debian.org>
Date: Sat, 21 Nov 2015 10:38:52 +0200
Subject: [PATCH] Ensure word separation in linker arguments with pkg-config >=
 0.29

Since pkg-config 0.29,
 http://cgit.freedesktop.org/pkg-config/commit/?id=f26a505826acec6b1e1af8d1efdf959913421c3a
the cflags and libs no longer have a trailing space, resulting
in bogus linker arguments like -lglib-2.0-lpangocairo-1.0.

The 'cflags' strings are already joined with whitespace earlier
so only the 'libs' need fixing.

Bug-Debian: https://bugs.debian.org/805403

---
 Makefile.PL | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/Makefile.PL b/Makefile.PL
index e644209..1d3349d 100644
--- a/Makefile.PL
+++ b/Makefile.PL
@@ -161,7 +161,7 @@ my $libs = $pango_pkgcfg{libs};
 if ($have_cairo) {
 	push @deps, qw/Cairo/;
 	$inc .= $pangocairo_pkgcfg{cflags};
-	$libs .= $pangocairo_pkgcfg{libs};
+	$libs .= ' ' . $pangocairo_pkgcfg{libs};
 }
 
 my @typemaps = map { File::Spec->catfile(cwd(), $_) }
-- 
2.6.2

